{
    "name": "@golemio/municipal-police-stations",
    "version": "1.3.2",
    "description": "Golemio Municipal Police Stations Module",
    "main": "dist/index.js",
    "types": "dist/index.d.ts",
    "scripts": {
        "build": "rimraf ./dist && tspc -p ./tsconfig.build.json",
        "build-minimal": "run-s 'build -- --sourceMap false --declaration false'",
        "build-watch": "run-s 'build -- --watch --preserveWatchOutput'",
        "pretest": "golemio import-db-data --postgres",
        "test": "cross-env NODE_ENV=test mocha --exit --check-leaks --timeout 120000 -r ts-node/register -r tsconfig-paths/register -r dotenv/config --file 'test/setup.ts' 'test/**/*.test.ts'",
        "test-debug": "run-s 'test -- --inspect-brk=9230'",
        "code-coverage": "nyc run-s 'test -- -r source-map-support/register'",
        "generate-docs": "typedoc --out docs/typedoc src",
        "lint": "eslint \"{src,test}/**/*.ts\""
    },
    "keywords": [
        "golemio"
    ],
    "author": "Operator ICT, a.s.",
    "license": "MIT",
    "repository": {
        "type": "git",
        "url": "https://gitlab.com/operator-ict/golemio/code/modules/municipal-police-stations"
    },
    "engines": {
        "node": ">=20.0.0",
        "npm": ">=8.0.0"
    },
    "devDependencies": {
        "@commitlint/cli": "^11.0.0",
        "@commitlint/config-conventional": "^11.0.0",
        "@golemio/city-districts": "1.3.3",
        "@golemio/cli": "1.7.3",
        "@golemio/core": "1.17.1",
        "@golemio/db-common": "1.1.4",
        "@golemio/eslint-config": "1.1.2",
        "@types/chai": "4.2.3",
        "@types/chai-as-promised": "7.1.2",
        "@types/geojson": "^7946.0.10",
        "@types/mocha": "^9.1.0",
        "@types/node": "^20.12.7",
        "@types/sinon": "^9.0.10",
        "@types/supertest": "^2.0.10",
        "chai": "4.2.0",
        "chai-as-promised": "7.1.1",
        "cross-env": "^7.0.3",
        "eslint": "^8.1.1",
        "husky": "^4.3.7",
        "mocha": "^9.1.2",
        "npm-run-all": "^4.1.5",
        "nyc": "^15.1.0",
        "prettier": "^2.5.1",
        "pretty-quick": "^3.1.0",
        "rimraf": "^3.0.2",
        "sinon": "^9.2.3",
        "source-map-support": "0.5.21",
        "supertest": "^6.0.1",
        "ts-node": "^10.9.1",
        "ts-patch": "3.0.0-beta3",
        "tsconfig-paths": "^4.2.0",
        "typedoc": "^0.24.8",
        "typescript": "5.1.3",
        "typescript-transform-paths": "^3.4.6"
    },
    "peerDependencies": {
        "@golemio/city-districts": ">=1.2.5",
        "@golemio/core": ">=1.9.9"
    },
    "dependencies": {
        "geojson": "^0.5.0",
        "slugify": "1.3.2"
    }
}
